Jump to content
kArThIcK hAcKeR

Plotting Multiple Views To PDF

Recommended Posts

kArThIcK hAcKeR

Hi, Guys :)

 

i have 4 views in a drawing, (view the screen shot below)8)

 

Autodesk AutoCAD 2014 - [PD219-415-R1-AIR,FILLING & SOUNDING SYSTEM SCHEMATIC.dwg].jpg

 

i have to plot these 4 views into a pdf document, (each view into a seperate page in the PDF :o)

 

now imagine me doing this for 40+ drawings files,

in which each of the drawing file also has 4 or more views (this process is really frusturating :itsover:)

 

I know about the layout setting method,(Setting up layouts for 40x4views is hard :surrender:)

 

I tried a work around of plotting the full view of the 4 documents into A0 PDF,

and then cropping and splitting the PDF pages, (This is also hard :wacko:)

 

any ideas, methods or software recommendations are appreciated,:book:

Share this post


Link to post
Share on other sites
kArThIcK hAcKeR
Only help this program. It prints a batch of model space or layouts, where many drawings.

Here is the link:

http://www.kdm-info.narod.ru/revers.html

Here is a video tutorial:

http://www.youtube.com/embed/eIH_u31JZrA

 

both the video and the site was in Russian(i think), :?

and even google wasn't able to translate the page,,,.. :unsure:

but i'll try the software, if i could find the download button;)

Share this post


Link to post
Share on other sites
maratovich

rev1.png

Can be translated into any language.

Write to the author of the program.

support@kdmsoft.net

11.jpg

12.jpg

Edited by maratovich

Share this post


Link to post
Share on other sites
RobDraw
Setting up layouts for 40x4views is hard

 

Plotting multiple views from model space is harder. Once you understand how to do it, you will wonder why you didn't take the time to learn how sooner.

Share this post


Link to post
Share on other sites
kArThIcK hAcKeR
Plotting multiple views from model space is harder. Once you understand how to do it, you will wonder why you didn't take the time to learn how sooner.

I am unable to understand what u are trying to say,:?

Share this post


Link to post
Share on other sites
RobDraw

Learn to use paper space and viewports and plotting multiple sheets from one file will be easier than what you are doing now.

Share this post


Link to post
Share on other sites
kArThIcK hAcKeR
Learn to use paper space and viewports and plotting multiple sheets from one file will be easier than what you are doing now.

 

oh, that. :)

 

i know the use of paperspace, "layout" was the term that i used for "paper space", :oops:

 

let me explain again, there are 40 drawing files, each drawing files have 4 views in them, :ouch:

 

now only thing is that these are vendor drawings and vendors dont make viewports in the layouts(paperspace),

 

i have to plot these to PDFs with each view as seperate PDF pages,

 

opening these 40 files, then setting up the VPs will take long,

 

any ideas...

Share this post


Link to post
Share on other sites
RobDraw

I don't know of any quick way to do it. The easiest way would be to ask the vendor to provide PDFs, if you can get them to do that. Many vendors do not use AutoCAD or have some sort of vertical software on top of it. It is very easy for them to plot out those layouts, not so easy for us. If you can't get the vendor to do it and think that you will have to do this on a regular basis for different projects, there are at least a couple of LISP routines or scripts around here that might help you out.

Share this post


Link to post
Share on other sites
kArThIcK hAcKeR
If you can't get the vendor to do it and think that you will have to do this on a regular basis for different projects, there are at least a couple of LISP routines or scripts around here that might help you out.

can u guide me to some:D

Share this post


Link to post
Share on other sites
RobDraw

I would like to, but kind of busy ATM to search. If you can't find it on your own, someone will come along and point you in the right direction. Possibly even one of the authors.

Share this post


Link to post
Share on other sites
kArThIcK hAcKeR
I would like to, but kind of busy ATM to search. If you can't find it on your own, someone will come along and point you in the right direction. Possibly even one of the authors.

I Googled, Even Searched in some forums, posting for help was the last thing i did.

anyways, thanks.

Share this post


Link to post
Share on other sites
maratovich
I don't know of any quick way to do it.

I gave a link to how you can do

quick.

 

We have 80% of the users so published. Everybody is happy. Quickly and easily.

I Googled, Even Searched in some forums, posting for help was the last thing i did.

anyways, thanks.

If you need to program in another language then write the author. I gave him the address.

Printing from model space can and should be.

The main thing that was quick and easy.

Try different printing options.

Give the file .dwg for example, try to help you.

Share this post


Link to post
Share on other sites
BIGAL

Another possible solution rather than views, are the 4 areas contained within a common named title block if so I have a plot all titles in modelspace to pdf, but all must be same title block and same size.

 

Re hard to set up go to layout create mview at 1:1 scale size of title block Z E zoom to one title and zoom in on 1st sheet this will be so close to correct scale hopefully. Do 4 just copy the layout. If you have the layout toolbar diaplayed as you go in you will see the scale or pick desired scale a bit of adjust and done.

 

Set 1 dwg up correct 4 layouts then just copy and paste other dwg and resave all done!!

 

Heres the code anyway

 

 (PROMPT ".....PRINTING DRAWING TO plotter....")
(setq oldsnap (getvar "osmode"))
(setvar "osmode" 0)

(setq ss2 (ssget "x" '((0 . "INSERT")(2 . "Da1drsht"))))
(setq n (sslength ss2))

(setq index 0)
(repeat n
   (setq en (ssname ss2 index))
   (setq el (entget en))
   (setq inspt (assoc 10 el)) ; insertion pt

  (setq xmin (- (cadr inspt) 6.0))
  (setq ymin (- (caddr inspt) 6.0))
  (setq xymin (strcat (rtos xmin 2 1) "," (rtos ymin 2 1)))

  (setq xmax (+ xmin 813.0)) ; hard coded for 813 wide 6mm offset
  (setq ymax (+ ymin 566.0)) ;hard code for 566 high
  (setq xymax (strcat (rtos xmax 2 1) "," (rtos ymax 2 1)))



 (COMMAND "-PLOT"  "Y"     "" "//PRODPRN01/Design-5100"
       "A3"	"M"     "LANDSCAPE"   "N"
       "W"	  xymin   xymax "1=2"  "C"
       "y"	  "Designlaser.ctb"      "Y"   ""	"n"   "n"
       "y"	"N" "N" "Y"
   )
  
 (setq index (+ index 1))

)

(setvar "osmode" oldsnap)
(princ)

Share this post


Link to post
Share on other sites
kArThIcK hAcKeR

well,

i found some LISP, that automates some of the operation (creating lyouts and viewports)

(defun c:Test (/ *error* o l i n ss in sn v ln)
;;--- Tharwat 15. June. 2013 ---;;
(setq doc (vla-get-activedocument (setq o (vlax-get-acad-object))))
(defun *error* (x)
(vla-put-LayoutCreateViewport
(vla-get-display (vla-get-preferences o))
l
)
(princ "\n*Cancel*")
)
(setq l (vla-get-LayoutCreateViewport
(vla-get-display (vla-get-preferences o))
)
i 1
n "Square-"
)
(if (not l)
(vla-put-LayoutCreateViewport
(vla-get-display (vla-get-preferences o))
:vlax-true
)
)
(if (setq ss (ssget '((0 . "LWPOLYLINE")
(-4 . "<AND")
(70 . 1)
(90 . 4)
(-4 . "AND>")
)
)
)
(repeat (setq in (sslength ss))
(setq sn (ssname ss (setq in (1- in))))
(vla-getboundingbox
(setq v (vlax-ename->vla-object sn))
'j
'k
)
(while (member (setq ln (strcat n (itoa i))) (layoutlist))
(setq ln (strcat n (itoa (setq i (1+ i)))))
)
(vla-add (vla-get-layouts (vla-get-activedocument o)) ln)
(setvar 'ctab ln)
(vla-put-mspace doc :vlax-true)
(vla-zoomWindow
o
j
k
)
(vla-put-mspace doc :vlax-false)
)
)
(setvar 'ctab "Model")
(princ)
)
(vl-load-com)

 

what this LISP does is, it waits for the selection of a poly line, gets the width and height of the polyline and creates te view port accordingly,

 

now i need some modifications in this lisp, so that the poyline can be changed into a window point(something like i give the two cross points of a rectangle) for the creaion of the viewport,

also need some info on the LISP syntax, im not so good at activex...

Share this post


Link to post
Share on other sites
RobDraw

Why don't you ask the question on the post that you got the LISP from?

Share this post


Link to post
Share on other sites
kArThIcK hAcKeR
Why don't you ask the question on the post that you got the LISP from?

It's An Old Thread, I dont Know If People Will Respond If I Post On That Thread

 

Thats The Reason I Asked For Help From U People.(This Thread)

 

Thread Link Below :

http://www.cadtutor.net/forum/showthread.php?79961-ViewPort-Handling&highlight=%28defun+c%3ATest+*error*+ln%29+%3B%3B---+Tharwat+15.+June.+2013+---%3B%3B

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...